TransferObject (The Data Transfer Agent Service 2.1.0-3.3.0 API)
Date: 2014-07-19

org.gcube.datatransfer.agent.impl.jdo

## Class TransferObject

- java.lang.Object
- - org.gcube.datatransfer.agent.impl.jdo.TransferObject

- All Implemented Interfaces:
    Serializable

      public class TransferObject
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferObject()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getBytesOfObjTransferred()`
    `String` | `getDestURI()`
    `String` | `getId()`
    `String` | `getOutcome()`
    `Long` | `getSize()`
    `String` | `getSourceURI()`
    `String` | `getStatus()`
    `String` | `getTransferID()`
    `Long` | `getTransferTime()`
    `org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType` | `getTransferType()`
    `void` | `setBytesOfObjTransferred(Long bytesOfObjTransferred)`
    `void` | `setDestURI(String destURI)`
    `void` | `setId(String objectId)`
    `void` | `setOutcome(String outcome)`
    `void` | `setSize(Long size)`
    `void` | `setSourceURI(String sourceURI)`
    `void` | `setStatus(String status)`
    `void` | `setTransferID(String transferID)`
    `void` | `setTransferTime(Long transferTime)`
    `void` | `setTransferType(org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType transferType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferObject

          public TransferObject()

  - ### Method Detail

    - #### getTransferTime

          public Long getTransferTime()

    - #### setTransferTime

          public void setTransferTime(Long transferTime)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String objectId)

    - #### getSize

          public Long getSize()

    - #### setSize

          public void setSize(Long size)

    - #### getSourceURI

          public String getSourceURI()

    - #### setSourceURI

          public void setSourceURI(String sourceURI)

    - #### getDestURI

          public String getDestURI()

    - #### setDestURI

          public void setDestURI(String destURI)

    - #### getOutcome

          public String getOutcome()

    - #### setOutcome

          public void setOutcome(String outcome)

    - #### getTransferType

          public org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType getTransferType()

    - #### setTransferType

          public void setTransferType(org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType transferType)

    - #### getTransferID

          public String getTransferID()

    - #### setTransferID

          public void setTransferID(String transferID)

    - #### getBytesOfObjTransferred

          public Long getBytesOfObjTransferred()

    - #### setBytesOfObjTransferred

          public void setBytesOfObjTransferred(Long bytesOfObjTransferred)

Copyright © 2014. All Rights Reserved.